// 再次登录按钮的响应事件
function check(url){
    if($("#email").val()=="")
    {
        alert("邮箱不能为空！");
        document.getElementById("email").focus();
        return false;
    }
/*    var  reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/; //验证邮箱的正则表达式判断
*/    /*检查用户名是否符合email格式*/
  /*  if(!reg.test($("#email").val()))
    {
        alert("邮箱格式不对");
        return false;
    }
	*/
    if($("#password").val()==""){
        alert("密码不能为空！");
        document.getElementById("password").focus();
        return false;
    }
     
    if($("#vcode").val()==""){
        alert("验证码不能为空！");
        $("#vcode").focus();
        return false;
    }
	  //用jquery中的ajax方法，向服务器提交请求 
    $.post(url+"cms/login_check", $("#frm_login").serialize(),
        function(ret){
            if( ret != 1 ){//如果返回值不为1，提示信息。
                alert(ret);
                return;
            }
			//结果成功跳转到功能主界面
           window.location.href=url+"cms/main";
        });
     
}
/*   验证原密码新密码确认密码不为空，
     验证两次密码输入是否一致
     Ajax方法将数据提交后台，
     获取返回结果ret如果ret不等于ok提示错误原因，否则提示密码修改成功
           */
function change(){
     
    if($("#password_old").val()==""){
        alert("原密码不能为空！");
        document.getElementById("password_old").focus();
        return false;
    }
    if($("#password_new").val()==""){
        alert("新密码不能为空！");
        document.getElementById("password_new").focus();
        return false;
    }
    if($("#password_confi").val()==""){
        alert("确认密码不能为空！");
        document.getElementById("password_confi").focus();
        return false;
    }
        
    if($("#password_new").val()!=$("#password_confi").val()){
        document.getElementById("password_old").focus();
        alert("两次密码不一致，请重新输入");
          
        return false;
    }      
    //用jquery中的ajax方法，向服务器提交请求 
    $.post("/oa_log/member/change_password", $("#form_password").serialize(),
        function(ret){
            if( ret != "OK" ){
                alert(ret);
                return;
            }
            alert('密码修改成功！请重新登录');
            top.window.location.href="/oa_log/user/logout";
        });
}
    
 
function forget_email(){
          
    if($("#email").val()=="")
    {
        alert("邮箱不能为空！");
        document.getElementById("email").focus();
        return false;
    }
    var reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/; //验证邮箱的正则表达式判断
    /*检查用户名是否符合email格式*/
    if(!reg.test($("#email").val()))
    {
        alert("邮箱格式不对");
        return false;
    }
      
    $.post("/oa_log/user/forget_password","email="+$("#email").val() , 
        function(ret){
            if(ret!="OK"){
                alert(ret);
                return;    
            }
            alert("密码已发到你的邮箱,请重新登录！");
            top.window.location.href="/oa_log/login";
        });
}//end of 忘记密码

   
     
   
   
   
   
   
   
